# LibraryCommand
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.commandlibrary.objects

## Class LibraryCommand

- java.lang.Object
- - me.legofreak107.vehiclesplus.libraries.commandlibrary.objects.LibraryCommand

    public class LibraryCommand
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`LibraryCommand(org.bukkit.command.PluginCommand command, java.lang.String permission)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.bukkit.command.PluginCommand` `getCommand()`
`java.util.Map<java.lang.String,SubCommand>` `getSubCommandMap()`
`java.util.List<java.lang.String>` `getTabCompleters(org.bukkit.command.CommandSender sender)`
`boolean` `hasPermission()`
`java.lang.Object[]` `parseArguments(org.bukkit.command.CommandSender sender, SubCommand subCommand, java.lang.String[] args)`
`void` `sendInfoMessage(org.bukkit.command.CommandSender sender)`
`void` `setSubCommandMap(java.util.Map<java.lang.String,SubCommand> subCommandMap)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LibraryCommand

    public LibraryCommand(org.bukkit.command.PluginCommand command,
                          java.lang.String permission)

### Method Detail

#### setSubCommandMap

    public void setSubCommandMap(java.util.Map<java.lang.String,SubCommand> subCommandMap)

#### parseArguments

    public java.lang.Object[] parseArguments(org.bukkit.command.CommandSender sender,
                                             SubCommand subCommand,
                                             java.lang.String[] args)

#### sendInfoMessage

    public void sendInfoMessage(org.bukkit.command.CommandSender sender)

#### hasPermission

    public boolean hasPermission()

#### getCommand

    public org.bukkit.command.PluginCommand getCommand()

#### getSubCommandMap

    public java.util.Map<java.lang.String,SubCommand> getSubCommandMap()

#### getTabCompleters

    public java.util.List<java.lang.String> getTabCompleters(org.bukkit.command.CommandSender sender)